Index: trunk/kernel/obj.tsar/kern/sys_dma_memcpy.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_dma_memcpy.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_dma_memcpy.d	(revision 1)
@@ -0,0 +1,13 @@
+obj.tsar/kern/sys_dma_memcpy.o: kern/sys_dma_memcpy.c libk/errno.h \
+ vfs/vfs-errno.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/event.h libk/list.h kern/kmagics.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ kern/spinlock.h mm/kmem.h mm/kcm.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/time.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/dma.h kern/thread.h kern/wait_queue.h kern/cluster.h mm/ppm.h \
+ mm/heap_manager.h
Index: trunk/kernel/obj.tsar/kern/sys_exec.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_exec.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_exec.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_exec.o: kern/sys_exec.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/errno.h vfs/vfs-errno.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs.h kern/rwlock.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h \
+ kern/radix.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/cluster.h mm/ppm.h mm/heap_manager.h kern/task.h \
+ mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h \
+ kern/keysdb.h kern/signal.h kern/pid.h kern/thread.h mm/ppn.h
Index: trunk/kernel/obj.tsar/kern/sys_fork.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_fork.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_fork.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_fork.o: kern/sys_fork.c libk/errno.h vfs/vfs-errno.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h kern/cpu.h libk/utils.h libk/types.h \
+ libk/stdint.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/string.h \
+ libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h kern/cluster.h \
+ kern/mcs_sync.h mm/ppm.h kern/wait_queue.h kern/kdmsg.h libk/boot-info.h \
+ mm/heap_manager.h kern/thread.h kern/dqdt.h kern/task.h kern/rwlock.h \
+ mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h \
+ mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/keysdb.h kern/signal.h kern/pid.h
Index: trunk/kernel/obj.tsar/kern/sys_fsync.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_fsync.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_fsync.d	(revision 1)
@@ -0,0 +1,3 @@
+obj.tsar/kern/sys_fsync.o: kern/sys_fsync.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h
Index: trunk/kernel/obj.tsar/kern/sys_ftime.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_ftime.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_ftime.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/kern/sys_ftime.o: kern/sys_ftime.c kern/cpu.h libk/utils.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/string.h \
+ libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/thread.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h
Index: trunk/kernel/obj.tsar/kern/sys_getcwd.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_getcwd.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_getcwd.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_getcwd.o: kern/sys_getcwd.c libk/libk.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h libk/string.h \
+ libk/ctype.h vfs/vfs.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ libk/errno.h vfs/vfs-errno.h kern/atomic.h kern/rwlock.h \
+ kern/wait_queue.h libk/list.h kern/kmagics.h kern/kdmsg.h \
+ kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/bits.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h \
+ kern/radix.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/sys-vfs.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h mm/ppm.h \
+ kern/thread.h
Index: trunk/kernel/obj.tsar/kern/sys_getpid.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_getpid.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_getpid.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/kern/sys_getpid.o: kern/sys_getpid.c kern/task.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h libk/list.h \
+ kern/kmagics.h libk/bits.h kern/spinlock.h kern/atomic.h kern/rwlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h \
+ mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h \
+ vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/keysdb.h kern/signal.h kern/thread.h
Index: trunk/kernel/obj.tsar/kern/sys_gettimeofday.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_gettimeofday.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_gettimeofday.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/kern/sys_gettimeofday.o: kern/sys_gettimeofday.c kern/cpu.h \
+ libk/utils.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/string.h \
+ libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/thread.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h
Index: trunk/kernel/obj.tsar/kern/sys_lseek.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_lseek.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_lseek.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/kern/sys_lseek.o: kern/sys_lseek.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h vfs/vfs.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h libk/errno.h vfs/vfs-errno.h \
+ kern/atomic.h kern/rwlock.h kern/wait_queue.h libk/list.h kern/kmagics.h \
+ kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/thread.h kern/sys-vfs.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/kern/sys_madvise.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_madvise.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_madvise.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_madvise.o: kern/sys_madvise.c libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h mm/vmm.h libk/list.h kern/kmagics.h \
+ libk/rbtree.h kern/spinlock.h kern/rwlock.h kern/wait_queue.h \
+ kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h \
+ kern/event.h kern/time.h kern/device.h kern/driver.h kern/metafs.h \
+ libk/libk.h libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h mm/pmm.h arch/tsar/arch-pmm.h \
+ mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h \
+ vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/keysdb.h kern/thread.h kern/task.h kern/signal.h \
+ kern/cluster.h mm/ppm.h mm/heap_manager.h mm/page.h
Index: trunk/kernel/obj.tsar/kern/sys_mcntl.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_mcntl.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_mcntl.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_mcntl.o: kern/sys_mcntl.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/errno.h vfs/vfs-errno.h \
+ kern/syscall.h kern/cluster.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h kern/spinlock.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h \
+ kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/mcs_sync.h mm/ppm.h kern/wait_queue.h kern/kdmsg.h libk/boot-info.h \
+ mm/heap_manager.h mm/vmm.h libk/rbtree.h kern/rwlock.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/task.h kern/signal.h \
+ kern/thread.h mm/page.h
Index: trunk/kernel/obj.tsar/kern/sys_mkdir.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_mkdir.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_mkdir.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_mkdir.o: kern/sys_mkdir.c vfs/vfs.h kern/system.h \
+ kern/hal-arch.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h arch/tsar/arch.h libk/errno.h vfs/vfs-errno.h \
+ kern/atomic.h kern/rwlock.h kern/wait_queue.h libk/list.h kern/kmagics.h \
+ kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/sys-vfs.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h \
+ kern/thread.h
Index: trunk/kernel/obj.tsar/kern/sys_mkfifo.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_mkfifo.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_mkfifo.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_mkfifo.o: kern/sys_mkfifo.c kern/kdmsg.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h kern/spinlock.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h kern/kmagics.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h \
+ kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h vfs/vfs.h kern/rwlock.h kern/wait_queue.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/sys-vfs.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h \
+ kern/thread.h
Index: trunk/kernel/obj.tsar/kern/sys_mmap.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_mmap.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_mmap.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/kern/sys_mmap.o: kern/sys_mmap.c libk/errno.h vfs/vfs-errno.h \
+ kern/thread.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs.h kern/rwlock.h vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h \
+ kern/radix.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/sys-vfs.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/kern/sys_open.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_open.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_open.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_open.o: kern/sys_open.c libk/errno.h vfs/vfs-errno.h \
+ kern/thread.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs.h kern/rwlock.h vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h \
+ kern/radix.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/sys-vfs.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h \
+ kern/cpu-trace.h
Index: trunk/kernel/obj.tsar/kern/sys_opendir.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_opendir.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_opendir.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_opendir.o: kern/sys_opendir.c vfs/vfs.h kern/system.h \
+ kern/hal-arch.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h arch/tsar/arch.h libk/errno.h vfs/vfs-errno.h \
+ kern/atomic.h kern/rwlock.h kern/wait_queue.h libk/list.h kern/kmagics.h \
+ kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/sys-vfs.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h \
+ kern/thread.h
Index: trunk/kernel/obj.tsar/kern/sys_pipe.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_pipe.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_pipe.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_pipe.o: kern/sys_pipe.c vfs/vfs.h kern/system.h \
+ kern/hal-arch.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h arch/tsar/arch.h libk/errno.h vfs/vfs-errno.h \
+ kern/atomic.h kern/rwlock.h kern/wait_queue.h libk/list.h kern/kmagics.h \
+ kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/sys-vfs.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h \
+ kern/thread.h
Index: trunk/kernel/obj.tsar/kern/sys_ps.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_ps.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_ps.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_ps.o: kern/sys_ps.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h kern/task.h libk/list.h \
+ kern/kmagics.h libk/bits.h kern/spinlock.h kern/atomic.h kern/rwlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h \
+ mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h \
+ vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/keysdb.h kern/signal.h kern/pid.h kern/thread.h \
+ kern/cluster.h mm/ppm.h mm/heap_manager.h
Index: trunk/kernel/obj.tsar/kern/sys_read.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_read.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_read.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/kern/sys_read.o: kern/sys_read.c libk/errno.h vfs/vfs-errno.h \
+ kern/thread.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs.h kern/rwlock.h vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h \
+ kern/radix.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/sys-vfs.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/kern/sys_readdir.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_readdir.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_readdir.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_readdir.o: kern/sys_readdir.c vfs/vfs.h kern/system.h \
+ kern/hal-arch.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h arch/tsar/arch.h libk/errno.h vfs/vfs-errno.h \
+ kern/atomic.h kern/rwlock.h kern/wait_queue.h libk/list.h kern/kmagics.h \
+ kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/sys-vfs.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h \
+ kern/thread.h
Index: trunk/kernel/obj.tsar/kern/sys_rmdir.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_rmdir.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_rmdir.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_rmdir.o: kern/sys_rmdir.c kern/cpu.h libk/utils.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/string.h \
+ libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs.h kern/rwlock.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h \
+ kern/radix.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/sys-vfs.h kern/thread.h kern/task.h mm/vmm.h \
+ libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h \
+ kern/signal.h
Index: trunk/kernel/obj.tsar/kern/sys_rwlock.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_rwlock.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_rwlock.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/kern/sys_rwlock.o: kern/sys_rwlock.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/errno.h vfs/vfs-errno.h \
+ kern/thread.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/kern/sys_sbrk.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_sbrk.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_sbrk.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/kern/sys_sbrk.o: kern/sys_sbrk.c libk/errno.h vfs/vfs-errno.h \
+ kern/thread.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/kern/sys_sem.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_sem.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_sem.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/sys_sem.o: kern/sys_sem.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/errno.h vfs/vfs-errno.h \
+ kern/thread.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/signal.h \
+ kern/semaphore.h
Index: trunk/kernel/obj.tsar/kern/sys_signal.d
===================================================================
--- trunk/kernel/obj.tsar/kern/sys_signal.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/sys_signal.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/kern/sys_signal.o: kern/sys_signal.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/errno.h vfs/vfs-errno.h \
+ kern/thread.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/signal.h kern/pid.h
